package com.qmth.qrzk.repository.common.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import com.qmth.qrzk.repository.service.query.PaperBatchParams;
import com.qmth.qrzk.repository.service.query.QueryParams;
import com.qmth.qrzk.repository.user.model.PaperBatch;

@Component("paperBatchMapper")
public interface PaperBatchMapper extends CommonMapper{
	
	public List<PaperBatch> queryBatch(QueryParams params);
	
	public int insertBatch(PaperBatch pb);
	
	public int getCount(QueryParams params);
	
	public int getCount(PaperBatch params);
	
	public List<PaperBatch> findByCondition(PaperBatch pb);
	
	public List<PaperBatch> findByType(@Param("pb")PaperBatch pb,@Param("type1")String type1,@Param("type2")String type2,@Param("type3")String type3);
	
	public PaperBatch findById(@Param("batchId")int batchId);
	
	public PaperBatch findTypeById(@Param("id") int id);
	
	public List<PaperBatch> findAllBatch();
	
	public int isSameCode(@Param("code") String code);
	
	public int deleteBatch(@Param("id") int id);
	
	public int updateTime(PaperBatch pb);
}
